# Type Alias WidgetSlide

type WidgetSlide = {
file?: jFileLittle;
opacityColor?: string;
opacityFilter?: number;
text: string;
textColor?: string;
title: string;
titleHeading?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "p" | "span";
}

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:6

##### Index

### Properties

file?
opacityColor?
opacityFilter?
text
textColor?
title
titleHeading?

## Properties

### `Optional` file

file?: jFileLittle

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:13

### `Optional` opacityColor

opacityColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:12

### `Optional` opacityFilter

opacityFilter?: number

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:11

### text

text: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:8

### `Optional` textColor

textColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:10

### title

title: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:7

### `Optional` titleHeading

titleHeading?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "p" | "span"

- Defined in jamespot-user-api/src/types/widgets/widgetArticleSlider.ts:9